package clustering;
import java.util.Comparator;


public class SortCluster {
	private String sequenceId;
	private int clusterId;
	
	public SortCluster(String sequenceId,int clusterId){
		this.sequenceId = sequenceId;
		this.clusterId = clusterId;
	}
	
	public String getSequenceId() {
		return sequenceId;
	}
	public void setSequenceId(String sequenceId) {
		this.sequenceId = sequenceId;
	}
	public int getClusterId() {
		return clusterId;
	}
	public void setClusterId(int clusterId) {
		this.clusterId = clusterId;
	}
	
	public static Comparator<SortCluster> getClusterIdComparator(){		
		return new Comparator<SortCluster>() {
			public int compare(SortCluster o1, SortCluster o2) {
				int clusterId_1 = o1.getClusterId();
				int clusterId_2 = o2.getClusterId();
				
				return clusterId_1 - clusterId_2;
			}
		};
	}
}
