package com.giantleap.common.nodebean.node.base.filter;

import com.giantleap.common.nodebean.node.base.storage.node.Node;



public class NodeNameFilter implements NodeBeanFilter{
	protected String _name;
	public NodeNameFilter() {
		this("");
	}

	public NodeNameFilter(String name) {
		_name = name.toUpperCase();
	}

	public String getName() {
		return (_name);
	}

	public void setName(String name) {
		_name = name;
	}

	public boolean accept(Node node) {
		String name=node.getName().getLocalName();
		name=name.trim().toUpperCase();
		if(name.equals(this.getName())) return true;
		return false;
	}
}
