package com.giantleap.common.nodebean.node.base.filter;

import com.giantleap.common.nodebean.node.base.storage.node.Node;

public class NotFilter implements NodeBeanFilter {
	protected NodeBeanFilter _predicate;

	public NotFilter() {
		setPredicate(null);
	}

	public NotFilter(NodeBeanFilter predicate) {
		setPredicate(predicate);
	}

	public NodeBeanFilter getPredicate() {
		return (_predicate);
	}

	public void setPredicate(NodeBeanFilter predicate) {
		_predicate = predicate;
	}

	public boolean accept(Node node) {
		return ((null != _predicate) && !_predicate.accept(node));
	}
}
