package com.giantleap.common.nodebean.node.base.storage.value;

import java.io.InputStream;
import java.util.Calendar;

public interface Value {
    public String getString() throws IllegalValueException;
    public InputStream getStream() throws IllegalValueException;
    public long getLong() throws IllegalValueException;
    public double getDouble() throws IllegalValueException;
    public Calendar getDate() throws IllegalValueException;
    public boolean getBoolean() throws IllegalValueException;
    public int getInt() throws  IllegalValueException;
    
    public int getType();
}
