package clustering;
import java.io.BufferedReader;
import java.io.InputStreamReader;




public class InOutFileName {
	private static String rootPath;
	
	public static String getRootPath() {
		if (rootPath != null)
			return rootPath;

		String currentPath = System.getProperty("user.dir", ".");
		// System.out.println(currentPath);
		String root = null;
		if (currentPath.contains("ClonalRelate")) {
			root = currentPath.substring(0, currentPath.indexOf("ClonalRelate")
					+ "ClonalRelate".length());
		} else {
			throw new RuntimeException();
		}
		// System.out.println(root);
		rootPath = root;
		return root;
	}
	
	public static String getStringFromStdin(String msg){
		String input = null;
		//boolean succ = false;
		while(true){
			try {
				System.out.print(msg);
				BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
				input = reader.readLine();
				if(input==null){
					System.err.println("input should not be null, pls REinput");
					continue;
				}
				//inputFilename  = input.substring(input.indexOf("<")+1,input.indexOf(">")).trim();
				//outputFilename = input.substring(input.indexOf(">")+1).trim();

				return input;
			} catch (Exception e) {
				e.printStackTrace();
			}			
		}
	}
	
	public static String getInputFilename(){
		String msg = "Please key in input filename:";
		return getStringFromStdin(msg);
	}
	
	public static String getOutputFilename(){
		String msg = "Please key in output filename:";
		return getStringFromStdin(msg);
	}
}
