package clustering.node;

import com.giantleap.common.nodebean.node.base.ReflectionNode;
import com.giantleap.common.nodebean.node.base.storage.id.NodeId;
import com.giantleap.common.nodebean.node.base.storage.path.NameInterface;

public class Folder extends ReflectionNode{
	public static final String NODE_TYPE = "_TP_Folder";
	public static final String DEFAULT_NODE_NAME = "Folder";

	public String _id;
	public int    _step;
	public float _dist;
	
	public Folder() {
		this(DEFAULT_NODE_NAME);
	}
	public Folder(String n) {
		this(n, NODE_TYPE);
	}

	// for extended classes
	public Folder(String n, String nodetype) {
		super(n, nodetype);
	}

	// for valueOf
	public Folder(NameInterface n, NodeId id) {
		super(n, id);
	}
	
	
	
	public String get_id() {
		return _id;
	}
	public void set_id(String _id) {
		this._id = _id;
		updateProperty("_id");
	}
	public int get_step() {
		return _step;
	}
	public void set_step(int _step) {
		this._step = _step;
		updateProperty("_step");
	}
	public float get_dist() {
		return _dist;
	}
	public void set_dist(float _dist) {
		this._dist = _dist;
		updateProperty("_dist");
	}
	public String getType() {
		return NODE_TYPE;
	}
}
