package clustering.node;

import com.giantleap.common.nodebean.node.base.ReflectionNode;
import com.giantleap.common.nodebean.node.base.storage.id.NodeId;
import com.giantleap.common.nodebean.node.base.storage.path.NameInterface;

public class Leaf extends ReflectionNode{
	public static final String NODE_TYPE = "_TP_Leaf";
	public static final String DEFAULT_NODE_NAME = "Leaf";
	
	public String _id;
	
	public Leaf() {
		this(DEFAULT_NODE_NAME);
	}
	public Leaf(String n) {
		this(n, NODE_TYPE);
	}

	// for extended classes
	public Leaf(String n, String nodetype) {
		super(n, nodetype);
	}

	// for valueOf
	public Leaf(NameInterface n, NodeId id) {
		super(n, id);
	}
	
	
	
	
	public String get_id() {
		return _id;
	}
	public void set_id(String _id) {
		this._id = _id;
		updateProperty("_id");
	}
	
	public String getType() {
		return NODE_TYPE;
	}
}
