package com.giantleap.common.nodebean.node.base.filter;

import com.giantleap.common.nodebean.node.base.storage.node.Node;

public class NodeClassFilter implements NodeBeanFilter{
	protected String _className;
	public NodeClassFilter() {
		this("");
	}

	public NodeClassFilter(String name) {
		_className = name.toUpperCase();
	}

	public String get_className() {
		return (_className);
	}

	public void setName(String name) {
		_className = name;
	}
	
	public boolean accept(Node node) {
		String classname=node.getType().toUpperCase();
		//System.out.println(classname);
		if(classname.equals(get_className())) return true;
		//System.out.println(get_className());
		String classname2="_TP_"+get_className();
		if(classname.equals(classname2)) return true;
		return false;
	}
}
